Opened 6 months ago

Closed 3 months ago

Last modified 3 months ago

#61103 closed defect (fixed)

qt5-qtbase @5.14.2_1:error:cannot be run on this version of macOS. Qt requires macOS 11.0.0 or later, you have macOS 10.16.0.

Reported by: keke-cute (小可可可爱多) Owned by: MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)
Priority: Normal Milestone:
Component: ports Version: 2.6.99
Keywords: bigsur Cc: keke-cute (小可可可爱多), michaelld (Michael Dickens), MaddTheSane (C.W. Betts), Tatsh (Andrew Udvare), jhoyt4, amake (Aaron Madlon-Kay), ccottap (Carlos Cotta), menzelcom (Christian Menzel), ballapete (Peter Dyballa), ugr, tungyuanhsiao, joaogeada (Joao Geada), thenickdude (Nicholas Sherlock), sgrewe (Stefan Grewe), hapaguy (Brian Kurt Fujikawa), khorton (Kevin Horton), clothbot (Andrew Plumb), Schamschula (Marius Schamschula)
Port: qt5-qtbase

Description

full main.log see https://gist.githubusercontent.com/keke-cute/88a1839ea7fd54f69252e26b4f21ddf6/raw/1da26fd48ff93ed45e1526a2f306054e18d0d17e/qt5-qtbase.log

sw_vers                                                                
ProductName:	macOS
ProductVersion:	11.0
BuildVersion:	20A5354i
version:1
:debug:sysinfo macOS 11.0 (darwin/20.0.0) arch i386
:debug:sysinfo MacPorts 2.6.99
:debug:sysinfo Xcode 12.0
:debug:sysinfo SDK 11.0
:debug:sysinfo MACOSX_DEPLOYMENT_TARGET: 11.0

:info:build Sorry, "moc" cannot be run on this version of macOS. Qt requires macOS 11.0.0 or later, you have macOS 10.16.0.
:info:build Sorry, "moc" cannot be run on this version of macOS. Qt requires macOS 11.0.0 or later, you have macOS 10.16.0.
:info:build make[2]: *** [.moc/moc_qabstractanimation.cpp] Error 1
:info:build make[2]: *** Waiting for unfinished jobs....
:info:build make[2]: *** [.moc/moc_qabstractanimation_p.cpp] Error 1
:info:build Sorry, "moc" cannot be run on this version of macOS. Qt requires macOS 11.0.0 or later, you have macOS 10.16.0.
:info:build make[2]: *** [.moc/moc_qvariantanimation.cpp] Error 1
:info:build Sorry, "moc" cannot be run on this version of macOS. Qt requires macOS 11.0.0 or later, you have macOS 10.16.0.
:info:build make[2]: *** [.moc/moc_qpropertyanimation.cpp] Error 1
:info:build make[2]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_aqua_qt5/qt5-qtbase/work/qtbase-everywhere-src-5.14.2/src/corelib'
:info:build make[1]: *** [sub-corelib-make_first] Error 2
:info:build make[1]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_aqua_qt5/qt5-qtbase/work/qtbase-everywhere-src-5.14.2/src'
:info:build make: *** [sub-src-make_first] Error 2
:info:build make: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_aqua_qt5/qt5-qtbase/work/qtbase-everywhere-src-5.14.2'
:info:build Command failed:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_aqua_qt5/qt5-qtbase/work/qtbase-everywhere-src-5.14.2" && /usr/bin/make -j4 -w 
:info:build Exit code: 2
:error:build Failed to build qt5-qtbase: command execution failed
:debug:build Error code: CHILDSTATUS 34098 2
:debug:build Backtrace: command execution failed
:debug:build     while executing
:debug:build "system {*}$notty {*}$callback {*}$nice $fullcmdstring"
:debug:build     invoked from within
:debug:build "command_exec -callback portprogress::target_progress_callback build"
:debug:build     (procedure "portbuild::build_main" line 8)
:debug:build     invoked from within
:debug:build "$procedure $targetname"
:error:build See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_aqua_qt5/qt5-qtbase/main.log for details.

Attachments (3)

main.log (891.6 KB) - added by ballapete (Peter Dyballa) 3 months ago.
Main.log from build on Big Sur
main.2.log (477.6 KB) - added by jhoyt4 3 months ago.
qt5-qtwebkit errors
main3.log (819.2 KB) - added by tungyuanhsiao 3 months ago.

Change History (90)

comment:1 Changed 6 months ago by keke-cute (小可可可爱多)

Cc: keke-cute added

comment:2 Changed 6 months ago by mf2k (Frank Schima)

Cc: MarcusCalhoun-Lopez removed
Owner: set to MarcusCalhoun-Lopez
Status: newassigned

comment:3 Changed 6 months ago by mf2k (Frank Schima)

Keywords: bigsur added

comment:4 Changed 5 months ago by michaelld (Michael Dickens)

Quick test with Qt 5.15.1 shows that it builds with macOS 11.0 20A5384c ; Xcode 12.2 12B5025f . Upgrading Qt5 is a chore, but it seems necessary for macOS 11.0 ... possibly also for ARM64 ... this testing was just x86_64 for the moment.

comment:5 Changed 5 months ago by michaelld (Michael Dickens)

Cc: michaelld added

comment:6 Changed 4 months ago by 5nefarious (Arvin Ignaci)

I would like to confirm that I am also having this issue. I'm on macOS 11.0.1 Beta (20B5012d) and using the latest master (e8326ad). Xcode 12.2 beta (12B5018i) with command line tools installed.

Last edited 4 months ago by 5nefarious (Arvin Ignaci) (previous) (diff)

comment:7 Changed 4 months ago by kencu (Ken)

There is an active PR with qt 15 in the PR queue, FYI

comment:8 Changed 4 months ago by phriedrich (phriedrich)

Cc: phriedrich added

comment:9 Changed 4 months ago by mf2k (Frank Schima)

FYI, I see this with release Big Sur 11.0.1 and Xcode 12.2.

comment:10 Changed 4 months ago by kencu (Ken)

@michael -- I don't know where Marcus is, but I've been using qt5 15.1 since your PR on all my systems.

IMHO -- good to push it.

comment:11 Changed 4 months ago by michaelld (Michael Dickens)

@kencu ACKnowledged. I have been too. Works fine. Do we need your patch right now or can that be added later?

comment:12 Changed 4 months ago by kencu (Ken)

without the patch the build of qt 15.1 will fail on 10.13, unless we use a newer SDK like 10.15 or 10.14 instead. So -- for now, would need the patch.

BTW -- highly likely that qt15 .2,3,4,5,6 may continue to break things, increasingly requiring the 10.15 SDK.

Their current promise is that qt15 builds against the 10.15 SDK, and deploys on 10.13 and up, if I recall what I read two weeks ago properly.

comment:13 Changed 4 months ago by MaddTheSane (C.W. Betts)

Cc: MaddTheSane added

comment:14 Changed 4 months ago by jhoyt4

Can someone post a link to the patch - I am having the same issues on Big Sur 11.0.1 and Xcode 12.2.

comment:16 Changed 4 months ago by Tatsh (Andrew Udvare)

The PR does not solve the issue for me.

comment:17 Changed 4 months ago by jhoyt4

I managed to get qt5.15.1 to compile with the Portfile in the PR on Big Sur 11.0.1 and Xcode 12.2. ...then ran into qt5-qtwebkit issues so I was unable to test if everything actually worked.

comment:18 Changed 4 months ago by Tatsh (Andrew Udvare)

Cc: Tatsh added

comment:19 in reply to:  17 Changed 4 months ago by Tatsh (Andrew Udvare)

Replying to jhoyt4:

I managed to get qt5.15.1 to compile with the Portfile in the PR on Big Sur 11.0.1 and Xcode 12.2. ...then ran into qt5-qtwebkit issues so I was unable to test if everything actually worked.

What command did you run? I tried port install --subport=qt5 and it failed.

comment:20 Changed 4 months ago by jhoyt4

I copied the replacement Portfile into place then ran "sudo port install qt5"

What version of Xcode are you running? Did you update command line tools to the latest (I had to manually download and install it)?

comment:21 Changed 4 months ago by jhoyt4

Cc: jhoyt4 added

comment:22 Changed 4 months ago by amake (Aaron Madlon-Kay)

Cc: amake added

comment:23 in reply to:  20 Changed 4 months ago by Tatsh (Andrew Udvare)

Replying to jhoyt4:

I copied the replacement Portfile into place then ran "sudo port install qt5"

What version of Xcode are you running? Did you update command line tools to the latest (I had to manually download and install it)?

12.2 on Big Sur. What was your method to get the command line tools? Download from Apple Developer site? Presumably it was a pkg and you just had to install it?

I am getting this message sometimes even though most things build fine:

Warning: The macOS 11.0 SDK does not appear to be installed. Ports may not build correctly.
Warning: You can install it as part of the Xcode Command Line Tools package by running `xcode-select --install'.

This sounds like it may be related to https://trac.macports.org/wiki/ProblemHotlist#reinstall-clt ?

comment:24 Changed 4 months ago by kencu (Ken)

If you don't see the MacOSX11.0.sdk in the CLTs folder, you are not running the current Xcode 12.2:

% ls -la /Library/Developer/CommandLineTools/SDKs
total 0
drwxr-xr-x  6 root  wheel  192 16 Nov 00:23 .
drwxr-xr-x  5 root  wheel  160  2 May  2020 ..
lrwxr-xr-x  1 root  wheel   14 16 Nov 00:23 MacOSX.sdk -> MacOSX11.0.sdk
drwxr-xr-x  7 root  wheel  224 12 Aug 17:38 MacOSX10.14.sdk
drwxr-xr-x  8 root  wheel  256 16 Nov 00:23 MacOSX10.15.sdk
drwxr-xr-x  7 root  wheel  224 19 Oct 13:39 MacOSX11.0.sdk

I had to install it from the Apple Dev website -- it was not updated by Xcode nor was it flagged by Software Update.

comment:25 Changed 4 months ago by Tatsh (Andrew Udvare)

Mine is the same as yours except this weird 'MacOSX.sdk 1' file:

 $ ls -la /Library/Developer/CommandLineTools/SDKs
total 0
drwxr-xr-x 7 root wheel 224 2020-11-14 16:49:59  .
drwxr-xr-x 5 root admin 160 2020-11-14 09:18:22  ..
lrwxr-xr-x 1 root wheel  14 2020-11-14 16:49:45  MacOSX.sdk -> MacOSX11.0.sdk
drwxr-xr-x 7 root wheel 224 2019-06-26 16:54:57 'MacOSX.sdk 1'
drwxr-xr-x 7 root wheel 224 2020-08-07 23:23:04  MacOSX10.14.sdk
drwxr-xr-x 8 root wheel 256 2020-11-14 16:49:59  MacOSX10.15.sdk
drwxr-xr-x 7 root wheel 224 2020-11-14 16:49:58  MacOSX11.0.sdk

I will try reinstalling the CLT from Apple's dev site.

comment:26 Changed 4 months ago by kencu (Ken)

consider tucking the 10.14 and 10.15 SDKs somewhere safe, and blowing out the whole CommandLineTools folder before you reinstall.

Then replace the SDKs after if you need them (you should have the one to match you os version to make MP happy). (We sholud change base to have MP look for the next one first, possibly, but can-o-worms there...)

comment:27 in reply to:  26 Changed 4 months ago by Tatsh (Andrew Udvare)

Replying to kencu:

consider tucking the 10.14 and 10.15 SDKs somewhere safe, and blowing out the whole CommandLineTools folder before you reinstall.

Then replace the SDKs after if you need them (you should have the one to match you os version to make MP happy). (We sholud change base to have MP look for the next one first, possibly, but can-o-worms there...)

I did that and I am still getting this warning when trying to build qt5:

Warning: The macOS 11.0 SDK does not appear to be installed. Ports may not build correctly.
Warning: You can install it as part of the Xcode Command Line Tools package by running `xcode-select --install'.
 $ xcode-select --install
xcode-select: error: command line tools are already installed, use "Software Update" to install updates
 $ ls -la /Library/Developer/CommandLineTools/SDKs/
total 0
drwxr-xr-x 5 root wheel 160 2020-11-16 04:17:52 .
drwxr-xr-x 5 root wheel 160 2020-11-16 04:16:51 ..
lrwxr-xr-x 1 root wheel  14 2020-11-16 04:17:52 MacOSX.sdk -> MacOSX11.0.sdk
drwxr-xr-x 8 root wheel 256 2020-07-09 12:33:42 MacOSX10.15.sdk
drwxr-xr-x 7 root wheel 224 2020-10-19 16:39:42 MacOSX11.0.sdk

comment:28 Changed 4 months ago by Tatsh (Andrew Udvare)

I put a puts around that line https://github.com/macports/macports-base/blob/26e90b4c43269cf9c97d46979e073ff7a4107b53/src/port1.0/portutil.tcl#L3394

Just before the if

puts [file tail [option configure.sdkroot]]
puts "MacOSX[option configure.sdk_version].sdk"

[file tail [option configure.sdkroot]] is empty string.

The second line prints MacOSX11.0.sdk.

comment:29 Changed 4 months ago by Tatsh (Andrew Udvare)

Output at the beginning, with said above modification:

 $ port -v install --unrequested qt5
MacOSX11.0.sdk
MacOSX11.0.sdk
--->  Computing dependencies for qt5..............................
--->  Dependencies to be installed: qt5-qt3d qt5-qtbase qt5-qtdeclarative python27 python2_select qt5-qtsvg qt5-qtgamepad qt5-qtimageformats libmng qt5-qtconnectivity qt5-qtgraphicaleffects qt5-qtlocation qt5-qtquickcontrols qt5-qtquickcontrols2 qt5-qtserialport qt5-qtmacextras qt5-qtmultimedia qt5-qtnetworkauth qt5-qtremoteobjects qt5-qtscxml qt5-qtsensors qt5-qtserialbus qt5-qtspeech qt5-qttools qt5-qttranslations qt5-qtwebchannel qt5-qtwebsockets qt5-qtxmlpatterns qt5-sqlite-plugin

MacOSX11.0.sdk
Warning: The macOS 11.0 SDK does not appear to be installed. Ports may not build correctly.
Warning: You can install it as part of the Xcode Command Line Tools package by running `xcode-select --install'.
--->  Fetching archive for qt5-qtbase

comment:30 Changed 4 months ago by ccottap (Carlos Cotta)

Cc: ccottap added

comment:31 Changed 4 months ago by Tatsh (Andrew Udvare)

Is anyone getting similar output when starting the build of qt5-qtbase?

It may not affect the build, but I still get the moc error message where it thinks I'm on 10.16 instead of 11.0.

comment:32 Changed 4 months ago by michaelld (Michael Dickens)

I haven't tried with 11.0.1 ... let me load up that PR & see what happens ... BTW> I'd highly recommend using 'gh' for these tests. Once there's a PR, one can do "gh pr checkout ###" to go to that PR's changes. Nice and easy! Then "git checkout master" to go back.

comment:33 in reply to:  31 ; Changed 4 months ago by ccottap (Carlos Cotta)

Replying to Tatsh:

Is anyone getting similar output when starting the build of qt5-qtbase?

Yes, I'm getting the same output: the warning about the lack of the macOS 11.0 SDK (which I have correctly installed), and compile errors (e.g., "Sorry, "rcc" cannot be run on this version of macOS. Qt requires macOS 11.0.0 or later, you have macOS 10.16.0").

comment:34 in reply to:  33 Changed 4 months ago by Tatsh (Andrew Udvare)

Replying to ccottap:

Replying to Tatsh:

Is anyone getting similar output when starting the build of qt5-qtbase?

Yes, I'm getting the same output: the warning about the lack of the macOS 11.0 SDK (which I have correctly installed), and compile errors (e.g., "Sorry, "rcc" cannot be run on this version of macOS. Qt requires macOS 11.0.0 or later, you have macOS 10.16.0").

Okay so this is normal. Yeah I'm still not able to build qt5-qtbase here.

comment:35 Changed 3 months ago by menzelcom (Christian Menzel)

Cc: menzelcom added

comment:36 Changed 3 months ago by tiperiu

I looked at the thread and it was not clear - I guess the qt5-base still does not work because somehow it does not detect the macOS 11.0SDK? so we are waiting for a fix or is there already some workaround?

comment:37 Changed 3 months ago by ballapete (Peter Dyballa)

Cc: ballapete added

comment:38 Changed 3 months ago by ballapete (Peter Dyballa)

During build I can see:

This is the Qt Open Source Edition.

You have already accepted the terms of the Open Source license.

Running configuration tests...
Checking for valid makespec...
+ cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_aqua_qt5/qt5-qtbase/work/qtbase-everywhere-src-5.14.2/config.tests/verifyspec && /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_relea\
se_tarballs_ports_aqua_qt5/qt5-qtbase/work/qtbase-everywhere-src-5.14.2/bin/qmake "CONFIG -= qt debug_and_release app_bundle lib_bundle" "CONFIG += shared warn_off console single_arch" /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_po\
rts_aqua_qt5/qt5-qtbase/work/qtbase-everywhere-src-5.14.2/config.tests/verifyspec
> Info: creating stash file /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_aqua_qt5/qt5-qtbase/work/qtbase-everywhere-src-5.14.2/config.tests/.qmake.stash
> Project WARNING: Qt has only been tested with version 10.15 of the platform SDK, you're using 11.0.
> Project WARNING: This is an unsupported configuration. You may experience build issues, and by using
> Project WARNING: the 11.0 SDK you are opting in to new features that Qt has not been prepared for.
> Project WARNING: Please downgrade the SDK you use to build your app to version 10.15, or configure
> Project WARNING: with CONFIG+=sdk_no_version_check when running qmake to silence this warning.
+ cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_aqua_qt5/qt5-qtbase/work/qtbase-everywhere-src-5.14.2/config.tests/verifyspec && MAKEFLAGS= /usr/bin/make

71 times. A bit earlier, 1,300 lines approximately, I can see:

DEBUG: Finished running callback portstartupitem::add_notes
DEBUG: Attempting ln -sf /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_aqua_qt5/qt5-qtbase/work /opt/local/var/macports/sources/rsync.macports.org/macports/release/tarballs/ports/aqua/qt5/work
DEBUG: dropping privileges: euid changed to 501, egid changed to 20.
DEBUG: Starting logging for qt5-qtbase
DEBUG: macOS 11.0 (darwin/20.1.0) arch i386
DEBUG: MacPorts 2.6.4
DEBUG: Xcode 12.2
DEBUG: SDK 11.0
DEBUG: MACOSX_DEPLOYMENT_TARGET: 11.0
Warning: The macOS 11.0 SDK does not appear to be installed. Ports may not build correctly.
Warning: You can install it as part of the Xcode Command Line Tools package by running `xcode-select --install'.
DEBUG: epoch: in tree: 0 installed: 0

This is not true. Xcode and its command line tools are OK and up-to-date.

Changed 3 months ago by ballapete (Peter Dyballa)

Attachment: main.log added

Main.log from build on Big Sur

comment:39 Changed 3 months ago by kencu (Ken)

try the qt 15.1 PR in the PR queue.

comment:40 Changed 3 months ago by menzelcom (Christian Menzel)

The Portfile in the PR works for me (macOS 11.0.1 with manually installed Xcode 12.2 CLT)

comment:41 Changed 3 months ago by ccottap (Carlos Cotta)

The PR has also worked for me (macOS 11.0.1 and CLT 12.2.0.0.1.1604076827)

comment:42 Changed 3 months ago by tiperiu

I apologize for the silly question, but what does PR stands for

comment:43 Changed 3 months ago by michaelld (Michael Dickens)

PR == pull request ... that's the term used in GitHub. Other Git services use different names; I think GitLab uses "merge request".

comment:44 Changed 3 months ago by michaelld (Michael Dickens)

Thanks everyone for trying to PR! Let me fix up qtwebengine & then verify that it passes CI as best it's able, and then we'll get it merged.

comment:45 Changed 3 months ago by tiperiu

Thanks for the replies, I guess now I will wait for the merge, I am still trying to figure out all these details.

comment:46 Changed 3 months ago by kencu (Ken)

It builds against the not-ideal SDK (MacOSX.sdk instead of MacOSX11.0.sdk)... and I think that is being hard-coded into the qmake build scripts ... but it does build through.

comment:47 Changed 3 months ago by tiperiu

Probably because MacOSX.sdk is a symlink to MacOSX11.0.sdk - at least on my machine this is the case

comment:48 in reply to:  47 Changed 3 months ago by kencu (Ken)

Replying to tiperiu:

Probably because MacOSX.sdk is a symlink to MacOSX11.0.sdk - at least on my machine this is the case

Possibly, but I don't think that's it....

There is something funny still going on in the Port, where it says this, even though the 11.0 SDK is sitting right there:

DEBUG: MACOSX_DEPLOYMENT_TARGET: 11.0
Warning: The macOS 11.0 SDK does not appear to be installed. Ports may not build correctly.
Warning: You can install it as part of the Xcode Command Line Tools package by running `xcode-select --install'.

comment:49 Changed 3 months ago by michaelld (Michael Dickens)

I'm building the recently updated GCC9 at the moment to verify that it works under macOS 11 / Xcode 12. When that's done (one way or the other) I'll try out qtbase to see if I see this too. I'm guessing I will ... thinking it's a 'port' issue, but who knows? I do see a symlink from MacOSX.sdk to some actual directory, in this case MacOSX11.0.sdk ... for what that's worth ...

comment:50 Changed 3 months ago by michaelld (Michael Dickens)

Yes I see those warnings too for qt5-qtbase ... good times!

comment:51 Changed 3 months ago by phriedrich (phriedrich)

Cc: phriedrich removed

comment:52 Changed 3 months ago by michaelld (Michael Dickens)

qt5-qtbase 5.15.1 from the noted PR builds for me: macOS 11.0.1 20B29 && Xcode 12.2 12B5035g .

comment:53 Changed 3 months ago by PifPof73 (PifPof)

hey - it would be very helpfull if you could leave a link to the PR in github or to the qt5-qtbase 5.15.1. I am not very firm in manipulating macport sources but I need the qt5 framework running asap and just got stuck after the update on big sur. So if you have a workaround, please think of the noobs and please type your remarks with some chance to reproduce it without re-inventing your complete findouts.

So - where can I find the PR and how do I put it inside my macPorts Sources to rebuild the now missing frameworks?

BTW, I do have the same issue with port <qt4-mac>. Thx.

comment:54 Changed 3 months ago by michaelld (Michael Dickens)

I'm hoping to get the Qt5 update merged this week ... trying to get the final work done tonight for folks who are able to to check out tomorrow, then merge Friday ... we'll see how that timing works out ...

comment:55 Changed 3 months ago by michaelld (Michael Dickens)

There is an issue open for qt4-mac ... that's next on my list to tackle ... hopefully next week

comment:56 Changed 3 months ago by kencu (Ken)

There has always been a symlink in the SDK folder from MacOSX.sdk to whatever is the newest SDK -- that is what Apple would prefer users to use.

But MacPorts, partly for reproducability, but mostly because most open-source software does not do a good job of handling Apple's weak-linking plan, always picks the SDK that matches the current OS version.

So that symlink is not the reason, or at least not the whole reason, that the MacOSX11.0.sdk is not being recognized and used.

comment:57 in reply to:  55 Changed 3 months ago by kencu (Ken)

Replying to michaelld:

There is an issue open for qt4-mac ... that's next on my list to tackle ... hopefully next week

That would be easier if our request for a qt4-mac fork into the MP repo and our own patchset on it had been granted :>

But perhaps either you or me will need to do that.

comment:58 Changed 3 months ago by michaelld (Michael Dickens)

Indeed that would be a LOT easier! I say "make it so, #1"!

Last edited 3 months ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:59 Changed 3 months ago by ugr

Cc: ugr added

comment:60 Changed 3 months ago by michaelld (Michael Dickens)

I just pushed the current state of my work for the noted PR ( https://github.com/macports/macports-ports/pull/8744 ), rebased onto the current master. I've included Ken's patch, and updated patches to apply cleanly. I've started the process of patching qtwebengine for macOS 11 ... but there's an OBJC++ file that's being stubborn; not yet updated upstream, but it is updated in chromium, so it's an option to test that change to see if it helps.

As noted in the commit log: I think qtwebengine isn't used by a lot of folks, so let's get this PR tested / verified as is & then fix up qtwebengine in another one. There are plenty of folks waiting for the primary qt5 ports to be updated & working for macOS 11, and so that's where we should be putting our primary efforts here IMHO.

Thx!

Would folks here mind re-testing / verifying that this PR works for them, macOS 11 as well as macOS 10.1[3-5] (?10.12 as well? I don't recall). Thx!

Last edited 3 months ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:61 in reply to:  38 Changed 3 months ago by ryandesign (Ryan Schmidt)

Replying to ballapete:

DEBUG: SDK 11.0
DEBUG: MACOSX_DEPLOYMENT_TARGET: 11.0
Warning: The macOS 11.0 SDK does not appear to be installed. Ports may not build correctly.
Warning: You can install it as part of the Xcode Command Line Tools package by running `xcode-select --install'.
DEBUG: epoch: in tree: 0 installed: 0

This is not true. Xcode and its command line tools are OK and up-to-date.

The port causes MacPorts to erroneously emit this warning because the port clears the variable configure.sdkroot. You need an SDK to build on 10.14 and later. MacPorts sets configure.sdkroot to the path to the SDK. Ports should use that variable when they need to obtain the path to the SDK. Ports should not clear that variable.

comment:62 Changed 3 months ago by ryandesign (Ryan Schmidt)

Cc: tungyuanhsiao added

Has duplicate #61569.

comment:63 Changed 3 months ago by jhoyt4

I just successfully compiled (with the latest PR) on 11.0.1 with Xcode 12.2

The qt5-qtwebkit subport (needed for the mythtv community) failed to build attaching the log shortly...

Last edited 3 months ago by jhoyt4 (previous) (diff)

Changed 3 months ago by jhoyt4

Attachment: main.2.log added

qt5-qtwebkit errors

comment:64 Changed 3 months ago by kencu (Ken)

why would Marcus, of all people, clear configure.sdkroot unnecessarily...

qt5 does some detailed stuff in it's own configuration process to choose it's SDK. Maybe he ran into trouble with that ...

comment:65 Changed 3 months ago by joaogeada (Joao Geada)

Cc: joaogeada added

comment:66 Changed 3 months ago by thenickdude (Nicholas Sherlock)

Cc: thenickdude added

comment:67 Changed 3 months ago by tiperiu

Sorry, was this change pushed or not yet? (I still dont see it in my portsthe version 15.1) thx

comment:68 Changed 3 months ago by sgrewe (Stefan Grewe)

Cc: sgrewe added

comment:69 Changed 3 months ago by tiperiu

I got a local copy of the repository and I got the PR locally using github desktop, but I do not know how to install it from the local repository. Any help would be appreciated. thanks!

Last edited 3 months ago by tiperiu (previous) (diff)

comment:70 Changed 3 months ago by jhoyt4

I just got qt5.15.2, qtwebengine, and qtwebkit to successfully compile on macOS 11.02 and Xcode 12.2 using the portfile and new patched copies into the PR.

As of right now, the PR does not contain these changes.

comment:71 Changed 3 months ago by michaelld (Michael Dickens)

Excellent! I will strive to get the PR updated with all of the new patches and fixes tomorrow. Thank you all for your work and testing here!

comment:72 Changed 3 months ago by jhoyt4

@michaelld - you may want to double check my new patch files while you're putting the final PR together. I by no measure would consider myself a decent programmer :)

For the FastMalloc.cpp. patch - Big Sur was not interpreting the value in PAGE_SHIFT as a number. I managed to trick the compiler to output the value and got 12 on my machine. A better path would be to convert the output of PAGE_SHIFT to some number - but the magic cpp incantation to do this is beyond my knowledge :)

I derived the process_metrics_mac.cc patch from here: https://android.googlesource.com/platform/external/libchrome/+/e2c681f%5E%21/ (search for diff --git a/base/process/process_metrics_mac.cc b/base/process/process_metrics_mac.cc) There's more edits that could be pulled in but I sided with caution on the patch (...which may introduce new bugs...)

comment:73 Changed 3 months ago by michaelld (Michael Dickens)

@jhoyt4 : I'll certainly check out your changes! We definitely prefer patches already upstream, or derivatives of them. Thanks for your work here!

comment:74 Changed 3 months ago by vdoublie

I can confirm that: the patching for qt5-qtbase does not work still complains about the CLT and fails on qt5-qtbase on the moc_qthread.ccp not recognising that the macOS version is indeed 11.0

comment:75 Changed 3 months ago by jhoyt4

@vdoublie - can you post your output log? Others on the PR have successfully compiled on macOS 11 after copying the new Portfile and patches into place.

Changed 3 months ago by tungyuanhsiao

Attachment: main3.log added

comment:76 Changed 3 months ago by Tatsh (Andrew Udvare)

That log shows you are building 5.14.2.

comment:77 Changed 3 months ago by vdoublie

ok I was missing a "crucial" step.. I forgot to portindex. runs fine as long as one"ignore" the patching with patch-qt515-highsierra1.diff which cannot be found (so there must be a "site" to set or where can it be found?

comment:78 Changed 3 months ago by jhoyt4

@vdoublie I suspect you skipped two steps.

  • First you need to apply the PR to your local copy of macports-port
  • Second apply the patches (or copy files into place) that I posted on the PR that gets the Portindex to 15.5.2.

comment:79 Changed 3 months ago by jhoyt4

@michaelld I just kicked you a PR to your repo on github. My PR includes a rebaseline to the current macports master and the new qt5.15.2 Portfile and patch files. (I'm hoping I save you some work - not create more. Apologies if its the latter)

BTW - I forgot to thank you for getting the Portfile where it is. You did a ton of work to get it here!

Last edited 3 months ago by jhoyt4 (previous) (diff)

comment:80 Changed 3 months ago by hapaguy (Brian Kurt Fujikawa)

Cc: hapaguy added

comment:81 Changed 3 months ago by zhiyuanzhai

Actually, according to #61584, I added:

macosx_deployment_target 10.16

to my macports.conf. And then qt5-qtbase is built successfully. For a temporary solution, you can try that.

comment:82 Changed 3 months ago by khorton (Kevin Horton)

Cc: khorton added

comment:83 Changed 3 months ago by clothbot (Andrew Plumb)

Cc: clothbot added

comment:84 Changed 3 months ago by Schamschula (Marius Schamschula)

Cc: Schamschula added

comment:85 Changed 3 months ago by michaelld (Michael Dickens)

Resolution: fixed
Status: assignedclosed

In 19e4b084efecf702ae8051211b658bea6b62428c/macports-ports (master):

qt5: update to 5.15.1

Fixes: #61103

NOTE: qt5-qtwebengine doesn't work with macOS 11 yet, even with the SDK patch provided here. Given how few folks use this port, and how many use the other qt5-* ports, let's get those in place & come back to this one as need be down the road.

comment:86 Changed 3 months ago by Schamschula (Marius Schamschula)

Still the same error on Big Sur 11.1/Xcode 12.3 (Intel), using port 2.6.99.

comment:87 Changed 3 months ago by kencu (Ken)

Not for me (Big Sur 11.0, Xcode 12.2, unmodified, untouched MacPorts 2.6.4):

% port -v installed qt5-qtbase
The following ports are currently installed:
  qt5-qtbase @5.15.2_0+openssl (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:00:30-0800'

and a grand slam of every qt port builds on 10.13 through 11. Running arm64 builds now.

% port -v installed | grep qt5- | grep active
  qt5-qt3d @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:24:40-0800'
  qt5-qt3d-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T09:40:19-0800'
  qt5-qtbase @5.15.2_0+openssl (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:00:30-0800'
  qt5-qtbase-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T10:06:03-0800'
  qt5-qtcharts @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T10:09:34-0800'
  qt5-qtcharts-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T10:11:58-0800'
  qt5-qtconnectivity @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:26:25-0800'
  qt5-qtconnectivity-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T10:16:05-0800'
  qt5-qtcreator @4.12.1_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T14:51:56-0800'
  qt5-qtcreator-docs @4.12.1_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T14:53:45-0800'
  qt5-qtdatavis3d @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T14:55:42-0800'
  qt5-qtdatavis3d-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T14:56:40-0800'
  qt5-qtdeclarative @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:13:12-0800'
  qt5-qtdeclarative-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:14:53-0800'
  qt5-qtdoc @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T23:34:49-0800'
  qt5-qtgamepad @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:14:17-0800'
  qt5-qtgamepad-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:16:31-0800'
  qt5-qtgraphicaleffects @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:27:03-0800'
  qt5-qtgraphicaleffects-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:17:13-0800'
  qt5-qtimageformats @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:14:52-0800'
  qt5-qtimageformats-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:17:40-0800'
  qt5-qtlocation @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:41:31-0800'
  qt5-qtlocation-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:21:12-0800'
  qt5-qtlottie @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T15:21:40-0800'
  qt5-qtlottie-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:22:10-0800'
  qt5-qtmacextras @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:42:13-0800'
  qt5-qtmacextras-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:23:14-0800'
  qt5-qtmultimedia @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:45:05-0800'
  qt5-qtmultimedia-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:33:58-0800'
  qt5-qtnetworkauth @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:45:47-0800'
  qt5-qtnetworkauth-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:34:24-0800'
  qt5-qtpurchasing @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T15:34:44-0800'
  qt5-qtpurchasing-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:35:33-0800'
  qt5-qtquick3d @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T15:38:58-0800'
  qt5-qtquick3d-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:41:02-0800'
  qt5-qtquickcontrols @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:28:38-0800'
  qt5-qtquickcontrols-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:43:14-0800'
  qt5-qtquickcontrols2 @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:32:50-0800'
  qt5-qtquickcontrols2-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:48:14-0800'
  qt5-qtquicktimeline @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T15:48:36-0800'
  qt5-qtquicktimeline-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:49:13-0800'
  qt5-qtremoteobjects @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:46:45-0800'
  qt5-qtremoteobjects-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:49:44-0800'
  qt5-qtscript @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T10:20:08-0800'
  qt5-qtscript-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:51:53-0800'
  qt5-qtscxml @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:47:51-0800'
  qt5-qtscxml-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:52:34-0800'
  qt5-qtsensors @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:49:13-0800'
  qt5-qtsensors-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:54:06-0800'
  qt5-qtserialbus @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:50:08-0800'
  qt5-qtserialbus-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:54:41-0800'
  qt5-qtserialport @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:33:31-0800'
  qt5-qtserialport-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:55:02-0800'
  qt5-qtspeech @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:50:34-0800'
  qt5-qtspeech-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:55:42-0800'
  qt5-qtsvg @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:02:03-0800'
  qt5-qtsvg-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:56:22-0800'
  qt5-qttools @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T01:58:45-0800'
  qt5-qttools-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T15:59:55-0800'
  qt5-qttranslations @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T01:59:37-0800'
  qt5-qtvirtualkeyboard @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T16:01:27-0800'
  qt5-qtvirtualkeyboard-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T16:02:21-0800'
  qt5-qtwebchannel @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T02:00:45-0800'
  qt5-qtwebchannel-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T16:02:43-0800'
  qt5-qtwebengine @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T21:27:59-0800'
  qt5-qtwebengine-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T21:38:12-0800'
  qt5-qtwebglplugin @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T23:35:30-0800'
  qt5-qtwebkit @5.9.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T23:10:07-0800'
  qt5-qtwebkit-docs @5.9.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T23:28:43-0800'
  qt5-qtwebkit-examples @5.9.1_4+examples (active) platform='darwin 20' archs='x86_64' date='2020-12-14T23:39:39-0800'
  qt5-qtwebsockets @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T02:00:08-0800'
  qt5-qtwebsockets-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T23:29:14-0800'
  qt5-qtwebview @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T23:29:40-0800'
  qt5-qtwebview-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T23:30:11-0800'
  qt5-qtxmlpatterns @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T02:04:44-0800'
  qt5-qtxmlpatterns-docs @5.15.2_0 (active) platform='darwin 20' archs='noarch' date='2020-12-14T23:33:53-0800'
  qt5-sqlite-plugin @5.15.2_0 (active) platform='darwin 20' archs='x86_64' date='2020-12-14T02:05:35-0800'
Last edited 3 months ago by kencu (Ken) (previous) (diff)
Note: See TracTickets for help on using tickets.